XmStringCreate(library call)

NAME
XmStringCreate — A compound string function that creates a compound string

SYNOPSIS

#include <Xm/Xm.h>
XmString XmStringCreate(
char *text,
XmStringCharSetcharset);

DESCRIPTION

XmStringCreate creates a compound string with two components: text and a font list element tag. The function will allocate space to hold the returned compound string. When the application no longer needs the returned compound string, the application should call XmStringFree.

text
    Specifies a NULL-terminated string to be used as the text component of the compound string.

charset
    Specifies the tag component to be associated with the given text. The value XmFONTLIST_DEFAULT_TAG identifies a locale text segment.

RETURN

Returns a new compound string.

RELATED

XmFontList(3), XmFontListAdd(3), XmFontListAppendEntry(3), XmFontListCopy(3), XmFontListCreate(3), XmFontListEntryCreate(3), XmFontListEntryFree(3), XmFontListEntryGetFont(3), XmFontListEntryGetTag(3), XmFontListEntryLoad(3), XmFontListFree(3), XmFontListFreeFontContext(3), XmFontListGetNextFont(3), XmFontListInitFontContext(3), XmFontListNextEntry(3), XmFontListRemoveEntry(3), XmString(3), XmStringBaseline(3), XmStringByteCompare(3), XmStringCompare(3), XmStringConcat(3), XmStringCopy(3), XmStringCreateLocalized(3), XmStringCreateLtoR(3), XmStringCreateSimple(3), XmStringDirection(3), XmStringDirectionCreate(3), XmStringDraw(3), XmStringDrawImage(3), XmStringDrawUnderline(3), XmStringEmpty(3), XmStringExtent(3), XmStringFree(3), XmStringFreeContext(3), XmStringGetLtoR(3), XmStringGetNextComponent(3), XmStringGetNextSegment(3), XmStringHasSubstring(3), XmStringHeight(3), XmStringInitContext(3), XmStringLength(3), XmStringLineCount(3), XmStringNConcat(3), XmStringNCopy(3), XmStringPeekNextComponent(3), XmStringSegmentCreate(3), XmStringSeparatorCreate(3), XmStringTable(3), and XmStringWidth(3).